Skip to Content
kosemdocs
ReferenceAPIConnections

Delete connection

Deletes a connection. A connection in use is deleted only with force, which deletes what uses it too.

DELETE
/v1/organizations/{organization}/connections/{connection}

Deletes a connection. A connection in use is deleted only with force, which deletes what uses it too.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$
connection*string

The connection's ID.

Match^con_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

force?boolean

Deletes the connection even when kosem's products use it, and what they made of it, such as access profiles. Without it, deleting a connection in use fails with failed_precondition.

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/organizations/string/connections/string'
Example Response
Empty